Bug 980863 - [abrt] gvfs-mtp-1.16.3-2.fc19: list_del: Process /usr/libexec/gvfsd-mtp was killed by signal 11 (SIGSEGV)
[abrt] gvfs-mtp-1.16.3-2.fc19: list_del: Process /usr/libexec/gvfsd-mtp was k...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Holy
Fedora Extras Quality Assurance
abrt_hash:0ecf987241e17a3d86b9de51fc2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 07:36 EDT by Robert McQueen
Modified: 2015-02-17 10:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:48:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.24 KB, text/plain)
2013-07-03 07:36 EDT, Robert McQueen
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-03 07:36 EDT, Robert McQueen
no flags Details
File: core_backtrace (1.80 KB, text/plain)
2013-07-03 07:37 EDT, Robert McQueen
no flags Details
File: dso_list (2.97 KB, text/plain)
2013-07-03 07:37 EDT, Robert McQueen
no flags Details
File: environ (677 bytes, text/plain)
2013-07-03 07:37 EDT, Robert McQueen
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-03 07:37 EDT, Robert McQueen
no flags Details
File: maps (15.21 KB, text/plain)
2013-07-03 07:37 EDT, Robert McQueen
no flags Details
File: open_fds (588 bytes, text/plain)
2013-07-03 07:37 EDT, Robert McQueen
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-07-03 07:37 EDT, Robert McQueen
no flags Details

  None (edit)
Description Robert McQueen 2013-07-03 07:36:48 EDT
Description of problem:
GVFS MTP crashed when plugging and unplugging nexus 4 - trying to have Shotwell load photos from the folder via GVFS

Version-Release number of selected component:
gvfs-mtp-1.16.3-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-mtp --spawner :1.3 /org/gtk/gvfs/exec_spaw/3
crash_function: list_del
executable:     /usr/libexec/gvfsd-mtp
kernel:         3.9.6-301.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jun 30 14:15:09 xi abrt[19228]: Saved core dump of pid 18505 (/usr/libexec/gvfsd-mtp) to /var/tmp/abrt/ccpp-2013-06-30-14:15:08-18505 (87691264 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 list_del at libusbi.h:119
 #1 usbi_handle_transfer_completion at io.c:1460
 #2 usbi_handle_disconnect at io.c:2448
 #3 op_handle_events at os/linux_usbfs.c:2501
 #4 handle_events at io.c:1941
 #5 libusb_handle_events_timeout_completed at io.c:2021
 #6 libusb_handle_events_completed at io.c:2120
 #7 do_sync_bulk_transfer at sync.c:183
 #8 libusb_bulk_transfer at sync.c:272
 #9 ptp_usb_event at libusb1-glue.c:1557
Comment 1 Robert McQueen 2013-07-03 07:36:53 EDT
Created attachment 768208 [details]
File: backtrace
Comment 2 Robert McQueen 2013-07-03 07:36:56 EDT
Created attachment 768209 [details]
File: cgroup
Comment 3 Robert McQueen 2013-07-03 07:37:03 EDT
Created attachment 768210 [details]
File: core_backtrace
Comment 4 Robert McQueen 2013-07-03 07:37:07 EDT
Created attachment 768211 [details]
File: dso_list
Comment 5 Robert McQueen 2013-07-03 07:37:11 EDT
Created attachment 768212 [details]
File: environ
Comment 6 Robert McQueen 2013-07-03 07:37:14 EDT
Created attachment 768213 [details]
File: limits
Comment 7 Robert McQueen 2013-07-03 07:37:18 EDT
Created attachment 768214 [details]
File: maps
Comment 8 Robert McQueen 2013-07-03 07:37:21 EDT
Created attachment 768215 [details]
File: open_fds
Comment 9 Robert McQueen 2013-07-03 07:37:24 EDT
Created attachment 768216 [details]
File: proc_pid_status
Comment 10 Fedora End Of Life 2015-01-09 13:38:06 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 10:48:46 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.